Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class HibernateUserAuthorityDeleteListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.HibernateUserAuthorityDeleteListener

All Implemented Interfaces:
  HibernateDeleteListener, UserAuthorityEventListenerRegistry

    public class HibernateUserAuthorityDeleteListener

extends java.lang.Object
implements HibernateDeleteListener, UserAuthorityEventListenerRegistry

Version:
  $Id: HibernateUserAuthorityDeleteListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static interface` | `HibernateUserAuthorityDeleteListener.ListenerVisitor`

Constructor Summary
`HibernateUserAuthorityDeleteListener()`

Method Summary
`void` | `deregisterListener(UserAuthorityEventListener listener)`
`protected void` | `ensureListeners()`
`protected void` | `fireListeners(HibernateUserAuthorityDeleteListener.ListenerVisitor visitor)`
`java.util.List` | `getListeners()`
`void` | `onDelete(java.lang.Object o)`
`void` | `registerListener(UserAuthorityEventListener listener)`
`void` | `setListeners(java.util.List listeners)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateUserAuthorityDeleteListener

    public HibernateUserAuthorityDeleteListener()

Method Detail

### getListeners

    public java.util.List getListeners()

### setListeners

    public void setListeners(java.util.List listeners)

### ensureListeners

    protected void ensureListeners()

### registerListener

    public void registerListener(UserAuthorityEventListener listener)

  Specified by:
    `registerListener` in interface `UserAuthorityEventListenerRegistry`

### deregisterListener

    public void deregisterListener(UserAuthorityEventListener listener)

  Specified by:
    `deregisterListener` in interface `UserAuthorityEventListenerRegistry`

### onDelete

    public void onDelete(java.lang.Object o)

  Specified by:
    `onDelete` in interface `HibernateDeleteListener`

### fireListeners

    protected void fireListeners(HibernateUserAuthorityDeleteListener.ListenerVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.